%global commit cadbf42054f224d84e5c5800baf82c0fa3a2a6db
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%bcond_with ecp5
%if %with ecp5
%global nextpnr_arches all
%else
%global nextpnr_arches generic;ice40
%endif

Name:		nextpnr
Version:	0
Release:	0.1.20190319git%{shortcommit}%{?dist}
Summary:	FPGA place and route tool

License:	ISC and BSD and MIT and (MIT or Public Domain)
URL:		https://github.com/YosysHQ/nextpnr
Source0:	https://github.com/YosysHQ/nextpnr/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	make
BuildRequires:	python3-devel
BuildRequires:	libglvnd-devel
BuildRequires:	boost-filesystem
BuildRequires:	boost-thread
BuildRequires:	boost-program-options
BuildRequires:	boost-iostreams
BuildRequires:	qt5-qtconfiguration-devel
BuildRequires:	cmake(QtConfiguration)
BuildRequires:	boost-python3-devel
BuildRequires:	icestorm >= 0-0.7.20190311
%if %with ecp5
BuildReuires:	trellis-devel
%endif

# License: ISC
Provides:	bundled(qtimgui)

# Qt5 enabled fork of QtPropertyBrowser
# License: BSD
Provides:	bundled(QtPropertyBrowser)

# License: MIT
Provides:	bundled(python-console)

# License: (MIT or Public Domain)
Provides:	bundled(imgui) = 1.66-wip


%description
nextpnr aims to be a vendor neutral, timing driven, FOSS FPGA place and
route tool.


%prep
%autosetup -n %{name}-%{commit}


%build
%cmake . -DARCH='%{nextpnr_arches}' -DICEBOX_ROOT=%{_datadir}/icestorm
make %{?_smp_mflags}


%install
%make_install


%files
%{_bindir}/nextpnr-generic
%{_bindir}/nextpnr-ice40
%if %with ecp5
%{_bindir}/nextpnr-ecp5
%endif
%doc README.md
%license COPYING
%license 3rdparty/imgui/LICENSE.txt
%license 3rdparty/qtimgui/LICENSE
%license 3rdparty/python-console/LICENSE


%changelog
* Tue Mar 19 2019 Lubomir Rintel <lkundrak@v3.sk> - 0-0.1.20190319gitcadbf42
- Initial packaging
